export declare type IPlatform = 'mobile' | 'pc' | 'miniapp';
export declare enum ServerMode {
    local = "LOCAL",
    online = "ONLINE"
}
export declare enum IdePluginType {
    lowcodePage = "lowcodePage",
    localRoute = "localRoute",
    iframe = "iframe"
}
export interface IEntityPlugin {
    title: string;
    type?: IdePluginType;
    pageId: string;
}
export interface IIdePlugin {
    title: string;
    code: string;
    icon?: string;
    order?: number;
    type?: IdePluginType;
    url: string;
    disabled?: boolean;
    /**
     * 收纳进设置
     */
    inSetting?: boolean;
}
export interface IGlobalConfig {
    title?: string;
    login?: boolean;
    'app.dengine.mode'?: ServerMode;
    'app.dengine.provider'?: string;
    'app.dengine.file.dir'?: string;
    'app.dengine.file.format'?: string;
    'ui.readOnly'?: boolean;
    'ide.plugins'?: IIdePlugin[];
    'ide.menu.isolated'?: boolean;
    ide?: {
        title?: string;
        docUrl?: string;
        materialDocUrl?: string;
    };
    apiBaseUrl?: string;
    resourceBaseUrl?: string;
    'git.enabled'?: boolean;
    'market.enabled'?: boolean;
    'preview.host'?: string;
    'entity.plugins'?: IEntityPlugin[];
    platform?: IPlatform[] | IPlatform;
    'build.version'?: string;
}
