import { IRequestCommonOptions } from 'module/libs/http';
import { PageType } from 'module/types/meta';
import { IDatabase, IDatasourceConfig, ITable } from 'module/types/server-models';
import { HttpMethod } from '../../types';
export declare function queryEntities(withData?: boolean, options?: IRequestCommonOptions): Promise<any[]>;
export declare function loadDatasources(options?: IRequestCommonOptions): Promise<IDatasourceConfig>;
export declare function loadDatabase(datasource: string, database: string, options?: IRequestCommonOptions): Promise<IDatabase>;
export declare function generateEntities(datasource: string, database: string, tables: ITable[], options?: IRequestCommonOptions): Promise<any>;
export declare function generateAuthority(code: string, title: string, options?: IRequestCommonOptions): Promise<any>;
export interface IEntityRefs {
    relations: {
        entity: string;
        entityTitle: string;
        name: string;
    }[];
    apis: {
        fullName: string;
        title: string;
        path: string;
        method: HttpMethod;
    }[];
}
export declare function checkEntityRefs(entityName: string, options?: IRequestCommonOptions): Promise<IEntityRefs>;
export interface IEntityPage {
    title: string;
    name: string;
    packageName: string;
    id: string;
    meta: {
        title?: string;
        type?: PageType;
    };
}
export declare function queryEntityPages(entityName: string, options?: IRequestCommonOptions): Promise<any>;
