import { IRequestCommonOptions } from 'module/libs/http';
import { Groups } from 'module/types/meta';
import { IMetaPackage } from 'module/types/server-meta';
export declare enum BatchOp {
    save = "save",
    patch = "patch"
}
export interface IBatchOperation {
    op: BatchOp;
    path: string;
    value: any;
}
export declare function batch(ops: IBatchOperation[], options?: IRequestCommonOptions): Promise<any>;
export declare function getMeta(group: Groups, options?: IRequestCommonOptions): Promise<any>;
export declare function updateMeta(group: Groups, payload: any, options?: IRequestCommonOptions): Promise<any>;
export declare function openFs(group: Groups, id: string): Promise<void>;
export declare function importZip(group: Groups, id: string, file: File, options?: IRequestCommonOptions): Promise<any>;
export declare function exportZip(group: Groups, id?: string, options?: IRequestCommonOptions): Promise<Blob>;
export declare const templatePageRootPackage: IMetaPackage;
export declare function doWriteOperation(func: () => Promise<any>): Promise<any>;
