import { IRequestCommonOptions } from 'module/libs';
import { Groups } from 'module/types';
export declare enum ChangeStatus {
    modified = "modified",
    new = "new",
    deleted = "deleted"
}
export interface IChangedFile {
    group: Groups;
    fullName: string;
    isPackage: boolean;
    title: string;
    status: ChangeStatus;
    lastUpdatedByName: string;
    lastUpdatedAt: string;
}
export declare function getCurrentChangedFiles(): Promise<IChangedFile[]>;
export declare function syncFromRemote(options?: IRequestCommonOptions): Promise<void>;
export interface ISubmitChangesParams {
    commits: {
        group: Groups;
        fullName: string;
    }[];
    message: string;
}
export declare function submitChanges(params: ISubmitChangesParams, options?: IRequestCommonOptions): Promise<void>;
