export interface IMetaProps {
    groupCode: Groups;
    packageName: string;
    objectName: string;
    subPackage?: string;
}
export declare enum Groups {
    modules = "modules",
    templates = "templates",
    blocks = "blocks",
    menu = "menu",
    menus = "menus",
    material = "material",
    dicts = "dicts",
    orch = "orchestrations",
    entities = "entities",
    themes = "themes",
    er = "er",
    schemas = "schemas",
    apis = "apis",
    models = "models",
    workflow = "workflow",
    app = "app",
    subSystems = "subsystems"
}
export declare const metaServerOrch: IMetaProps;
export declare const metaClientOrch: IMetaProps;
export declare const metaModule: IMetaProps;
export declare const metaTemplate: IMetaProps;
export declare const metaEntity: IMetaProps;
export declare const metaEr: IMetaProps;
export declare const metaApi: IMetaProps;
export declare const metaDict: IMetaProps;
export declare const metaWorkflow: IMetaProps;
export declare const metaModel: IMetaProps;
export declare const metaMaterial: IMetaProps;
export declare const metaTheme: IMetaProps;
export declare const metaInfoList: IMetaProps[];
export declare function getMetaInfo(group: Groups): IMetaProps | undefined;
export declare enum PageType {
    create = "create",
    edit = "edit",
    form = "form",
    view = "view"
}
export declare const PageTypeLabel: Record<PageType, string>;
